Bug 32726 - font-aliases of cyrillic fonts are conflicting with default fonts
Summary: font-aliases of cyrillic fonts are conflicting with default fonts
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-22 18:56 UTC by Enrico Scholz
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-21 13:28:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-03-22 18:56:42 UTC
[XFree86-4.0.3-1]

Both the base XFree86 and the XFree86-cyrillic packages are containing
fonts.alias files which are defining the same alias:

----/usr/X11R6/lib/X11/fonts/misc/fonts.alias----
fixed       
-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso8859-1
variable     -*-helvetica-bold-r-normal-*-*-120-*-*-*-*-iso8859-1
...

----/usr/X11R6/lib/X11/fonts/cyrillic/fonts.alias----
fixed  -cronyx-fixed-medium-r-semicondensed--13-120-75-75-c-60-koi8-r
variable -*-helvetica-bold-r-normal-*-*-120-*-*-*-*-koi8-r
...


So depending on the order of the directories in the config-file, the wrong
font will be choosen.

I don't know the best solution to resolve this conflicts. Perhaps a
RPM-package can be created which contains a bunch of fonts.alias files (one
for each encoding) for the default fonts. Then the admin has to set a
symlink to the prefered one.


This bug is related to #17757

Comment 1 Mike A. Harris 2001-03-22 20:21:11 UTC
Ok, I'll have a look at bug #17757 and see if I can come up with something.

Comment 2 Mike A. Harris 2002-05-21 13:28:27 UTC
Are you still seeing such a problem under RHL 7.3?

Comment 3 Enrico Scholz 2002-05-23 09:41:03 UTC
Don't seeing it anymore...


Note You need to log in before you can comment on or make changes to this bug.